> For the complete documentation index, see [llms.txt](https://docs.ionos.com/cloud/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ionos.com/cloud/databases/in-memory-db/api/v1-api/retrieve-in-memory-db-instances.md).

# Retrieve In-Memory DB Instances

You can retrieve a list of In-Memory DB instances. The number of results displayed on each page depends on the `limit` and `offset` values. While `limit` limits the number of response elements, `offset` specifies the starting point within the collection of resource results returned from the server.&#x20;

Additionally, you can also use a response filter (`filter.name`) to list only the In-Memory DB instances that contain the specified `displayName`.

## Endpoint

Use a [<mark style="color:blue;">region-specific endpoint</mark>](/cloud/databases/in-memory-db/api/v1-api.md#endpoints) from the list to retrieve all instances: `https://in-memory-db.{region}.ionos.com/replicasets`

## Request

```bash
curl -X 'GET' \
  'https://in-memory-db.de-txl.ionos.com/replicasets' \
  --header 'Content-Type: application/json' \
  --header 'Authorization: Bearer $Token' \
```

{% tabs %}
{% tab title="Request Header Parameters" %}
To make authenticated requests to the API, the following fields are mandatory in the request header:

| Header Parameters | Required |  Type  | Description                                                  |
| ----------------- | :------: | :----: | ------------------------------------------------------------ |
| `Authorization`   |    yes   | string | Provide a header value as `Bearer` followed by your `token`. |
| `Content-Type`    |    yes   | string | Set this to `application/json`.                              |
| {% endtab %}      |          |        |                                                              |
| {% endtabs %}     |          |        |                                                              |

### Response

**202 Successful operation**

```json
  {
    "id": "6aaa-3ccc-50dd-bebb-5b0b",
    "type": "collection",
    "href": "/replicasets?limit=100&offset=0",
    "items": [
        {
            "id": "14000000f-2eee-4eee-84fff-ae70",
            "type": "replicasets",
            "href": "/replicasets/14000000f-2eee-4eee-84fff-ae70",
            "metadata": {
                "createdBy": "john.doe@example.com",
                "createdByUserId": "abcd-fd97-4800-2cba",
                "createdDate": "2024-04-23T07:54:31Z",
                "dnsName": "",
                "lastModifiedBy": "john.doe@example.com",
                "lastModifiedByUserId": "abcd-fd97-4800-2cba",
                "lastModifiedDate": "2024-04-23T07:54:31Z",
                "state": "UNKNOWN"
            },
            "properties": {
                "connections": [
                    {
                        "cidr": "123.123.1.100/24",
                        "datacenterId": "dd00-7a96-dd00-dd00-bcaa13",
                        "lanId": "2"
                    }
                ],
                "credentials": {
                    "password": null,
                    "username": "user1"
                },
                "evictionPolicy": "allkeys-lru",
                "maintenanceWindow": {
                    "dayOfTheWeek": "monday",
                    "time": "16:30:00"
                },
                "displayName": "In-Memory DB replica set",
                "persistence": {
                    "minimalSaveInterval": 3600,
                    "mode": "None"
                },
                "version": "7.2",
                "replicas": 2,
                "resources": {
                    "cores": 4,
                    "ram": 4,
                    "storage": 10
                }
            }
        },
        {
            "id": "6000a-300b-4004-9008-6007",
            "type": "replicasets",
            "href": "/replicasets/6000a-300b-4004-9008-6007",
            "metadata": {
                "createdBy": "john.doe@example.com",
                "createdByUserId": "abcd-fd97-4800-2cba",
                "createdDate": "2024-04-22T13:46:25Z",
                "dnsName": "",
                "lastModifiedBy": "john.doe@example.com",
                "lastModifiedByUserId": "abcd-fd97-4800-2cba",
                "lastModifiedDate": "2024-04-22T13:46:25Z",
                "state": "UNKNOWN"
            },
            "properties": {
                "connections": [
                    {
                        "cidr": "123.123.1.100/24",
                        "datacenterId": "dd00-7a96-dd00-dd00-bcaa13",
                        "lanId": "2"
                    }
                ],
                "credentials": {
                    "password": null,
                    "username": "user2"
                },
                "evictionPolicy": "allkeys-lru",
                "maintenanceWindow": {
                    "dayOfTheWeek": "monday",
                    "time": "16:30:00"
                },
                "displayName": "In-Memory DB replica set",
                "persistence": {
                    "minimalSaveInterval": 3600,
                    "mode": "None"
                },
                "version": "7.2",
                "replicas": 2,
                "resources": {
                    "cores": 4,
                    "ram": 4,
                    "storage": 10
                }
            }
        },
    ],
    "offset": 0,
    "limit": 100,
    "_links": {
        "self": "/replicasets?limit=100&offset=0",
        "next": "/replicasets?limit=100&offset=100"
    }
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.ionos.com/cloud/databases/in-memory-db/api/v1-api/retrieve-in-memory-db-instances.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
